/* cusr>login>src>entre.c
**
**    date     sign     comment
**    890414   flg      initial coding
**    890810   flg      Now slists project info as well.
**    890907   flg      Check for NEWS. If Variable .NONEWS is defined, or if
**                      variable .NEWS is NOT defined, we'll skip it.
**                      Moved the line "and welcome to PRIME 9950", to PrintHello.
**                      login.txt is now a define.
**    890908   flg      Changed order of retrieving gvars.
**    891109   flg      Now uses Cal feature.
**    891123   flg      Disable Cal feature (it's not ready to be released
**                      yet!).
**
** Copyright (c) 1989, V{sterh|jdskolan Sk|vde.
*/
#include <stdio.h>
#include "login.h"

extern char * gvget(),  * GetNickName();

Entre ()
{

   char path[130];
   char * cp;

   PrintHello(GetNickName(NULL));

   slist(LOGINTEXT);

   strcpy(path, "ETC>");
   strcat(path, MyPrj");
   strcat(path, ".TXT");

   slist(path);

   if (cp=gvget(".NEWS"))
   {
      if (atoi(cp) < fdtm(NEWSFILE))
        puts("*** You have news, please type NEWS in primos.");
   }
}

slist(name)
char * name;
{
   FILE *fp;
   char buffer[80];

   if (! (fp=fopen(name, "r")))
      return;

   while(fgets(buffer, 80, fp))
      fprintf(stderr,"%s", buffer);

   fclose(fp);
}

PrintHello(name)
char * name;
{
   char buffer[31], * ctime();
   char * cp = buffer+10;

   time(&seconds);
   strcpy(buffer, ctime(&seconds));

   putchar('\n');

   seconds = atoi(cp);


   if (seconds >= 5 && seconds < 12)
      printf("Good morning %s", name);
   else
   if (seconds >= 12 && seconds <= 18)
      printf("Good afternoon %s", name);
   else
      printf("Good evening %s", name);

   puts(" and welcome to PR1ME 9950");

}


