/* cusr>login>src>getnickname.c
**
** Get a users nickname.
**
** 890803   pen   intial coding
** 890804   flg   Added support for private nickfile.
** 890830   flg   Private copy for login program.
** 891030   flg   Added "user" id argument (which originally where there)
**
** Copyright (c) 1989, Peter Ericsson, Fredrik Lindberg.
*/
#include <stdio.h>
#include <string.h>

#include "login.h"

static char *scanfile();

#define DEFAULTNICKFILE    "ETC>NICKNAMES"

char *GetNickName(user)
char * user;
{
   return scanfile(DEFAULTNICKFILE, user);
}

static char *scanfile(file, user)
char * file, * user;
{
   char funame[33];
   FILE *fp;
   char buffer[33];

   if (! user)
      user = MyName;

   if ((fp = fopen(file, "r")) == NULL)
      return strdup(user);

   while (fscanf(fp, "%s %[^\n]", funame, buffer) == 2)
   {
      if (stricmp(funame, user) == 0)
      {
         fclose(fp);
         return strdup(buffer);
      }

   }

   fclose(fp);

   return strdup(user);
}




